=== debian/changelog ===
ordered-map (0.8.1-2) unstable; urgency=medium

  * Add git-buildpackage configuration

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 May 2020 22:10:50 +0200

ordered-map (0.8.1-1) experimental; urgency=medium

  * Initial release (Closes: #951373)

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Feb 2020 01:05:12 +0100
