=== debian/changelog ===
ordered-map (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Update upstream author's name in debian/copyiright

 -- Hilko Bengen <bengen@debian.org>  Sun, 13 Sep 2020 12:33:45 +0200
