=== debian/control ===
Source: ordered-map
Section: libdevel
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12~),
 cmake,
 libboost-test-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/bro-team/ordered-map
Vcs-Git: https://salsa.debian.org/bro-team/ordered-map.git
Homepage: https://github.com/Tessil/ordered-map/

Package: libtsl-ordered-map-dev
Architecture: any
Depends: ${misc:Depends}
Description: C++ insertion-order-preserving hash map and hash set
 The ordered-map library provides a hash map and a hash set which
 preserve the order of insertion in a way similar to Python's
 OrderedDict. When iterating over the map, the values will be returned
 in the same order as they were inserted.
