=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_configure --sourcedirectory=tests --builddirectory=build-tests
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_build --sourcedirectory=tests --builddirectory=build-tests
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd build-tests && ./tsl_ordered_map_tests
endif
