=== debian/watch ===
version=4

https://github.com/Tessil/ordered-map/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
